# Uses of Class
org.apache.sling.auth.oauth_client.OAuthTokenResponse

Packages that use OAuthTokenResponse
Package
Description
org.apache.sling.auth.oauth_client

## Uses of OAuthTokenResponse in org.apache.sling.auth.oauth_client

Methods in org.apache.sling.auth.oauth_client that return OAuthTokenResponse
Modifier and Type
Method
Description
`@NotNull OAuthTokenResponse`
OAuthTokenAccess.`clearAccessToken(@NotNull ClientConnection connection, @NotNull org.apache.sling.api.SlingHttpServletRequest request, @NotNull String redirectPath)`
Clears the access token for the given connection and user, as identified by the request.
`@NotNull OAuthTokenResponse`
OAuthTokenAccess.`getAccessToken(@NotNull ClientConnection connection, @NotNull org.apache.sling.api.SlingHttpServletRequest request, @NotNull String redirectPath)`
Retrieves an existing access, valid, access token from storage.